Subject: bug#15107: [PATCH] Add replace-regexp-in-string regression test

From: Eli Zaretskii <[email-masked]>
Date: Wed, 31 Aug 2016 17:24:39 +0300

> From: Erik Anderson <[email-masked]>
> Date: Tue, 30 Aug 2016 23:57:35 +0000
> 
> I can confirm the buggy behavior on emacs 24.5.1 and 25.1.50.1 for Kevin's example as well as:
> 
> (replace-regexp-in-string "^.\\| ." #'upcase "foo bar")
> > "Foo bar"  (should be "Foo Bar")

Maybe I'm missing something, but I don't see why this is a bug.  The
input string "foo bar" matches the "^." alternative in its entirety,
so there's no reason to expect Emacs to apply 'upcase' twice.